aboutsummaryrefslogtreecommitdiffstats
path: root/tools/perf/scripts/python/bin/failed-syscalls-by-pid-report
diff options
context:
space:
mode:
Diffstat (limited to 'tools/perf/scripts/python/bin/failed-syscalls-by-pid-report')
-rw-r--r--tools/perf/scripts/python/bin/failed-syscalls-by-pid-report8
1 files changed, 7 insertions, 1 deletions
diff --git a/tools/perf/scripts/python/bin/failed-syscalls-by-pid-report b/tools/perf/scripts/python/bin/failed-syscalls-by-pid-report
index 1e0c0a860c8..30293545fcc 100644
--- a/tools/perf/scripts/python/bin/failed-syscalls-by-pid-report
+++ b/tools/perf/scripts/python/bin/failed-syscalls-by-pid-report
@@ -1,4 +1,10 @@
#!/bin/bash
# description: system-wide failed syscalls, by pid
# args: [comm]
-perf trace -s ~/libexec/perf-core/scripts/python/failed-syscalls-by-pid.py $1
+if [ $# -gt 0 ] ; then
+ if ! expr match "$1" "-" > /dev/null ; then
+ comm=$1
+ shift
+ fi
+fi
+perf trace $@ -s ~/libexec/perf-core/scripts/python/failed-syscalls-by-pid.py $comm